> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://okx-demo.ferndocs.com/api/api-reference/account/get-spot-borrow-repay-history/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server. # Get spot borrow/repay history GET https://www.okx.com/api/v5/account/spot-borrow-repay-history Retrieve the history of spot borrow and repay operations, including auto and manual borrow/repay. Reference: https://okx-demo.ferndocs.com/api/api-reference/account/get-spot-borrow-repay-history ## Authentication - `OK-ACCESS-KEY` header (required) — Your API key. - `OK-ACCESS-SIGN` header (required) — Base64-encoded HMAC-SHA256 signature of the prehash string. - `OK-ACCESS-TIMESTAMP` header (required) — ISO 8601 UTC timestamp, e.g. 2020-12-08T09:08:57.715Z. - `OK-ACCESS-PASSPHRASE` header (required) — The passphrase you set when creating the API key. ## Request ### Query parameters - `ccy` (string, optional) — Currency, e.g. BTC. - `type` (enum, optional) — Event type. - Allowed values: `auto_borrow`, `auto_repay`, `manual_borrow`, `manual_repay` - `after` (string, optional) — Pagination of data to return records earlier than the requested timestamp in milliseconds. - `before` (string, optional) — Pagination of data to return records newer than the requested timestamp in milliseconds. - `limit` (string, optional) — Number of results per request. Maximum 100, default 100. ## Response ### 200 Successful response - `code` (string, optional) — Result code. `0` means success; any other value is an error code. - `msg` (string, optional) — Error message. Empty on success. - `data` (list of ApiV5AccountSpotBorrowRepayHistoryGetResponsesContentApplicationJsonSchemaDataItems, optional) ## Types ### ApiV5AccountSpotBorrowRepayHistoryGetResponsesContentApplicationJsonSchemaDataItems - `ccy` (string, optional) — Currency. - `type` (string, optional) — Event type. - `amt` (string, optional) — Amount borrowed or repaid. - `accBorrowed` (string, optional) — Accumulated borrowed amount. - `ts` (string, optional) — Timestamp, Unix timestamp in milliseconds. ## Examples **Response** ```json { "code": "0", "msg": "", "data": [ { "ccy": "USDT", "type": "auto_repay", "amt": "6764.802661157592", "accBorrowed": "0", "ts": "1725330976644" } ] } ``` **SDK Code** ```python account_getSpotBorrowRepayHistory_example import requests url = "https://www.okx.com/api/v5/account/spot-borrow-repay-history" headers = {"OK-ACCESS-KEY": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript account_getSpotBorrowRepayHistory_example const url = 'https://www.okx.com/api/v5/account/spot-borrow-repay-history'; const options = {method: 'GET', headers: {'OK-ACCESS-KEY': ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go account_getSpotBorrowRepayHistory_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://www.okx.com/api/v5/account/spot-borrow-repay-history" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("OK-ACCESS-KEY", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby account_getSpotBorrowRepayHistory_example require 'uri' require 'net/http' url = URI("https://www.okx.com/api/v5/account/spot-borrow-repay-history") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["OK-ACCESS-KEY"] = '' response = http.request(request) puts response.read_body ``` ```java account_getSpotBorrowRepayHistory_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://www.okx.com/api/v5/account/spot-borrow-repay-history") .header("OK-ACCESS-KEY", "") .asString(); ``` ```php account_getSpotBorrowRepayHistory_example request('GET', 'https://www.okx.com/api/v5/account/spot-borrow-repay-history', [ 'headers' => [ 'OK-ACCESS-KEY' => '', ], ]); echo $response->getBody(); ``` ```csharp account_getSpotBorrowRepayHistory_example using RestSharp; var client = new RestClient("https://www.okx.com/api/v5/account/spot-borrow-repay-history"); var request = new RestRequest(Method.GET); request.AddHeader("OK-ACCESS-KEY", ""); IRestResponse response = client.Execute(request); ``` ```swift account_getSpotBorrowRepayHistory_example import Foundation let headers = ["OK-ACCESS-KEY": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/account/spot-borrow-repay-history")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```